aprofe/routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/* Route::get('/', function () {
    return view('welcome');
}); */
Route::get('/', 'HomeController@index')->name('home');

Auth::routes(['register' => false]);

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/profesors','ProfesorController@webIndex')->name('profesors.webIndex');
Route::get('/profesors/create','ProfesorController@create')->name('profesors.create');
Route::post('/profesors/store','ProfesorController@webStore')->name('profesors.store');
Route::put('/profesors/update/{profesor}','ProfesorController@update')->name('profesors.update');
Route::get('/profesors/show/{profesor}','ProfesorController@show')->name('profesors.show');
Route::get('/profesors/edit/{profesor}','ProfesorController@edit')->name('profesors.edit');
Route::delete('/profesors/destroy/{profesor}','ProfesorController@destroy')->name('profesors.destroy');
Route::get('/profesors/export', 'ProfesorController@export')->name('profesors.export');

Route::get('/doners','DonerController@webIndex')->name('doners.webIndex');
Route::get('/doners/show/{doner}','DonerController@show')->name('doners.show');
Route::get('/doners/export', 'DonerController@export')->name('doners.export');

Route::get('/posts','PostController@webIndex')->name('posts.webIndex');
Route::get('/posts/create','PostController@create')->name('posts.create');
Route::post('/posts/store','PostController@webStore')->name('posts.store');
Route::put('/posts/update/{post}','PostController@update')->name('posts.update');
Route::get('/posts/show/{post}','PostController@show')->name('posts.show');
Route::get('/posts/edit/{post}','PostController@edit')->name('posts.edit');
Route::delete('/posts/destroy/{post}','PostController@destroy')->name('posts.destroy');
Route::post('/posts/{post}/setfeatured','PostController@setFeatured');
Route::post('/posts/{post}/unsetfeatured','PostController@unsetFeatured');

Route::resource('categories','CategoryController');

Route::resource('comments','CommentController');

Route::resource('paymentComments', 'PaymentCommentController');

aprofe/app/Profesor.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Profesor extends Model
{
    protected $fillable = ["firstName", "lastName", "city", "state", "schoolName", "yearsActive", "trainerID", "categories", "idNumber", "email", "phoneHome", "phoneMobile", "gender", "status"];
    //
    protected $casts = [
        'categories' => 'array',
    ];



    public function comments(){
        return $this->hasMany('App\Comment');
    }
}

aprofe/app/Http/Controllers/ProfesorController.php
<?php

namespace App\Http\Controllers;

use App\Profesor;
use App\Exports\ProfesorsExport;
use Excel;
use Illuminate\Http\Request;

class ProfesorController extends Controller
{
    /* public function __construct(){
        $this->middleware('auth');
    } */
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function export() 
    {
        return Excel::download(new ProfesorsExport, 'profes.xlsx');
    }

    public function index()
    {
        $profes = Profesor::all();
        return $profes;
        //
    }

    public function webIndex()
    {
        $profes = Profesor::orderBy('lastName','desc')->paginate(10);
        return view('profesors.index',compact('profes'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('profesors.create');
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $profe = Profesor::create($request->all());
        return $profe;
        //
    }

    public function webStore(Request $request)
    {
        $request['status'] = 0;
        //dd($request);
        $profe = Profesor::create($request->all());
        session()->flash('message','Profesor agregado exitosamente');
        return redirect(route('profesors.webIndex'));
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Profesor  $profesor
     * @return \Illuminate\Http\Response
     */
    public function show(Profesor $profesor)
    {
        $comments = $profesor->comments->sortByDesc('created_at');
        //dd($profesor);
        return view('profesors.show', compact('profesor','comments'));
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Profesor  $profesor
     * @return \Illuminate\Http\Response
     */
    public function edit(Profesor $profesor)
    {
        return view('profesors.edit', compact('profesor'));
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Profesor  $profesor
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Profesor $profesor)
    {
        //dd($profesor);
        unset($request['_token'], $request['_method']);
        $profesor = Profesor::whereId($profesor->id)->update($request->all());
        return redirect(route('profesors.webIndex'));

        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Profesor  $profesor
     * @return \Illuminate\Http\Response
     */
    public function destroy(Profesor $profesor)
    {
        $profesor->delete();
        return redirect(route('profesors.webIndex'));
        //
    }
}

aprofe/resources/views/profesors/create.blade.php
@extends('layouts.app')

@section('content')
<div class="main container">
        <h2 class="my-3">Agregar Profe</h2>
        @if($errors->all())
            <div class="alert alert-danger">
                @foreach ($errors->all() as $error)
                <li>{{$error}}</li>
                @endforeach
            </div>
        @endif
        @if(session()->has('message'))
            <div class="alert alert-success">
                {{session()->get('message')}}
            </div>
        @endif
        <form action="{{route('profesors.store')}}" method="post">
            @csrf
            <div class="form-row">
                <div class="form-group col-md-6">
                    <label for="firstName">Nombre</label>
                    <input type="text" name="firstName" id="firstName" class="form-control" require>
                </div>
                <div class="form-group col-md-6">
                    <label for="lastName">Apellido</label>
                    <input type="text" name="lastName" id="lastName" class="form-control">
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-4">
                    <label for="gender">Sexo</label>
                    <select class="form-control" name="gender" id="gender">
                        <option selected hidden>Seleccione uno</option>
                        <option value="Masculino">Masculino</option>
                        <option value="Femenino">Femenino</option>
                    </select>
                </div>
                <div class="form-group col-md-4">
                    <label for="idNumber">Cedula</label>
                    <input type="text" name="idNumber" id="idNumber" class="form-control">
                </div>
                <div class="form-group col-md-4">
                    <label for="trainerID">Carnet</label>
                    <input type="text" name="trainerID" id="trainerID" class="form-control">
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-4">
                    <label for="email">Email</label>
                    <input type="text" name="email" id="email" class="form-control">
                </div>
                <div class="form-group col-md-4">
                    <label for="phoneHome">Telefono Residencia</label>
                    <input type="text" name="phoneHome" id="phoneHome" class="form-control">
                </div>
                <div class="form-group col-md-4">
                    <label for="phoneMobile">Telefono Movil</label>
                    <input type="text" name="phoneMobile" id="phoneMobile" class="form-control">
                </div>
            </div>
            <div class="form-group">
                <label for="address">Direccion</label>
                <input type="text" name="address" id="address" class="form-control">
            </div>
            <div class="form-row">
                <div class="form-group col-md-6">
                    <label for="city">Ciudad</label>
                    <input type="text" name="city" id="city" class="form-control">
                </div>
                <div class="form-group col-md-6">
                    <label for="state">Estado</label>
                    <select class="form-control" name="state" id="state">
                        <option selected hidden>Seleccione uno</option>
                        <option value="Amazonas">Amazonas</option>
                        <option value="Anzoátegui">Anzoátegui</option>
                        <option value="Apure">Apure</option>
                        <option value="Aragua">Aragua</option>
                        <option value="Barinas">Barinas</option>
                        <option value="Bolívar">Bolívar</option>
                        <option value="Carabobo">Carabobo</option>
                        <option value="Cojedes">Cojedes</option>
                        <option value="Delta Amacuro">Delta Amacuro</option>
                        <option value="Distrito Capital">Distrito Capital</option>
                        <option value="Falcón">Falcón</option>
                        <option value="Guárico">Guárico</option>
                        <option value="Lara">Lara</option>
                        <option value="Mérida">Mérida</option>
                        <option value="Miranda">Miranda</option>
                        <option value="Monagas">Monagas</option>
                        <option value="Nueva Esparta">Nueva Esparta</option>
                        <option value="Portuguesa">Portuguesa</option>
                        <option value="Sucre">Sucre</option>
                        <option value="Táchira">Táchira</option>
                        <option value="Trujillo">Trujillo</option>
                        <option value="Vargas">Vargas</option>
                        <option value="Yaracuy">Yaracuy</option>
                        <option value="Zulia">Zulia</option>
                    </select>
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-4">
                    <label for="schoolName">Escuela</label>
                    <input type="text" name="schoolName" id="schoolName" class="form-control">
                </div>
                <div class="form-group col-md-4">
                    <label for="categories">Categorias</label>
                    <br>
                    <input type="text" name="categories" id="categories" class="form-control">
                    <!-- <select class="form-control" name="categories[]" id="categories" multiple="multiple">
                        <option value="Compotica">Compotica</option>
                        <option value="Pre-B">Pre-B</option>
                        <option value="Pre-A">Pre-A</option>
                        <option value="Inf-C">Inf-C</option>
                        <option value="Inf-B">Inf-B</option>
                        <option value="Inf-A">Inf-A</option>
                        <option value="Sub-15">Sub-15</option>
                        <option value="Sub-17">Sub-17</option>
                        <option value="Sub-20">Sub-20</option>
                        <option value="3ra. División">3ra. División</option>
                        <option value="2da. División">2da. División</option>
                        <option value="1era. División">1era. División</option>
                    </select> -->
                </div><div class="form-group col-md-2">
                    <label for="futAsociation">Asociacion de futbol</label>
                    <select class="form-control" name="futAsociation" id="futAsociation">
                        <option selected hidden>Seleccione uno</option>
                        <option value="Amazonas">Amazonas</option>
                        <option value="Anzoátegui">Anzoátegui</option>
                        <option value="Apure">Apure</option>
                        <option value="Aragua">Aragua</option>
                        <option value="Barinas">Barinas</option>
                        <option value="Bolívar">Bolívar</option>
                        <option value="Carabobo">Carabobo</option>
                        <option value="Cojedes">Cojedes</option>
                        <option value="Delta Amacuro">Delta Amacuro</option>
                        <option value="Distrito Capital">Distrito Capital</option>
                        <option value="Falcón">Falcón</option>
                        <option value="Guárico">Guárico</option>
                        <option value="Lara">Lara</option>
                        <option value="Mérida">Mérida</option>
                        <option value="Miranda">Miranda</option>
                        <option value="Monagas">Monagas</option>
                        <option value="Nueva Esparta">Nueva Esparta</option>
                        <option value="Portuguesa">Portuguesa</option>
                        <option value="Sucre">Sucre</option>
                        <option value="Táchira">Táchira</option>
                        <option value="Trujillo">Trujillo</option>
                        <option value="Vargas">Vargas</option>
                        <option value="Yaracuy">Yaracuy</option>
                        <option value="Zulia">Zulia</option>
                    </select>
                </div>
                <div class="form-group col-md-2">
                    <label for="yearsActive">Años activo</label>
                    <input type="text" name="yearsActive" id="yearsActive" class="form-control">
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-4">
                    <label for="schoolPerson">Persona de contacto de la academia</label>
                    <input type="text" name="schoolPerson" id="schoolPerson" class="form-control">
                </div>
                <div class="form-group col-md-4">
                    <label for="schoolContact">Telefono de contacto</label>
                    <input type="text" name="schoolContact" id="schoolContact" class="form-control">
                </div>
            </div>
            <div class="form-group">
                <label for="solMessage">Mensaje de solicitud</label>
                <textarea name="solMessage" id="solMessage" cols="30" rows="5" class="form-control"></textarea>
            </div>
            <div class="form-group">
                <button type="submit" class="btn btn-outline-info">Guardar</button>
            </div>
        </form>
</div>
@endsection

aprofe/resources/views/profesors/edit.blade.php
@extends('layouts.app')

@section('content')
<div class="main container">
        <h2 class="my-3">Editar Datos de Profe</h2>
        @if($errors->all())
            <div class="alert alert-danger">
                @foreach ($errors->all() as $error)
                <li>{{$error}}</li>
                @endforeach
            </div>
        @endif
        @if(session()->has('message'))
            <div class="alert alert-success">
                {{session()->get('message')}}
            </div>
        @endif
        <form action="{{route('profesors.update', $profesor->id)}}" method="post" >
            @csrf
            @method('put')
            <div class="form-group">
                <label for="firstName">Nombre</label>
                <input type="text" name="firstName" id="firstName" class="form-control" value="{{$profesor->firstName}}">
            </div>
            <div class="form-group">
                <label for="lastName">Apellido</label>
                <input type="text" name="lastName" id="lastName" class="form-control" value="{{$profesor->lastName}}">
            </div>
            <div class="form-group">
                <label for="gender">Sexo</label>
                <select class="form-control" name="gender" id="gender">
                    <option value="Masculino" @if($profesor->gender == 'Masculino') selected @endif>Masculino</option>
                    <option value="Femenino" @if($profesor->gender == 'Femenino') selected @endif>Femenino</option>
                </select>
            </div>
            <div class="form-group">
                <label for="idNumber">Cedula</label>
                <input type="text" name="idNumber" id="idNumber" class="form-control" value="{{$profesor->idNumber}}">
            </div>
            <div class="form-group">
                <label for="trainerID">Carnet</label>
                <input type="text" name="trainerID" id="trainerID" class="form-control" value="{{$profesor->trainerID}}">
            </div>
            <div class="form-group">
                <label for="email">Email</label>
                <input type="text" name="email" id="email" class="form-control" value="{{$profesor->email}}">
            </div>
            <div class="form-group">
                <label for="phoneHome">Telefono Residencia</label>
                <input type="text" name="phoneHome" id="phoneHome" class="form-control" value="{{$profesor->phoneHome}}">
            </div>
            <div class="form-group">
                <label for="phoneMobile">Telefono Movil</label>
                <input type="text" name="phoneMobile" id="phoneMobile" class="form-control" value="{{$profesor->phoneMobile}}">
            </div>
            <div class="form-group">
                <label for="city">Ciudad</label>
                <input type="text" name="city" id="city" class="form-control" value="{{$profesor->city}}">
            </div>
            <div class="form-group">
                <label for="state">Estado</label>
                <select class="form-control" name="state" id="state">
                    <option selected hidden>Seleccione uno</option>
                    <option value="Amazonas" @if($profesor->state == 'Amazonas') selected @endif>Amazonas</option>
                    <option value="Anzoátegui" @if($profesor->state == 'Anzoátegui') selected @endif>Anzoátegui</option>
                    <option value="Apure" @if($profesor->state == 'Apure') selected @endif>Apure</option>
                    <option value="Aragua" @if($profesor->state == 'Aragua') selected @endif>Aragua</option>
                    <option value="Barinas" @if($profesor->state == 'Barinas') selected @endif>Barinas</option>
                    <option value="Bolívar" @if($profesor->state == 'Bolívar') selected @endif>Bolívar</option>
                    <option value="Carabobo" @if($profesor->state == 'Carabobo') selected @endif>Carabobo</option>
                    <option value="Cojedes" @if($profesor->state == 'Cojedes') selected @endif>Cojedes</option>
                    <option value="Delta Amacuro" @if($profesor->state == 'Delta Amacuro') selected @endif>Delta Amacuro</option>
                    <option value="Distrito Capital" @if($profesor->state == 'Distrito Capital') selected @endif>Distrito Capital</option>
                    <option value="Falcón" @if($profesor->state == 'Falcón') selected @endif>Falcón</option>
                    <option value="Guárico" @if($profesor->state == 'Guárico') selected @endif>Guárico</option>
                    <option value="Lara" @if($profesor->state == 'Lara') selected @endif>Lara</option>
                    <option value="Mérida" @if($profesor->state == 'Mérida') selected @endif>Mérida</option>
                    <option value="Miranda" @if($profesor->state == 'Miranda') selected @endif>Miranda</option>
                    <option value="Monagas" @if($profesor->state == 'Monagas') selected @endif>Monagas</option>
                    <option value="Nueva Esparta" @if($profesor->state == 'Nueva Esparta') selected @endif>Nueva Esparta</option>
                    <option value="Portuguesa" @if($profesor->state == 'Portuguesa') selected @endif>Portuguesa</option>
                    <option value="Sucre" @if($profesor->state == 'Sucre') selected @endif>Sucre</option>
                    <option value="Táchira" @if($profesor->state == 'Táchira') selected @endif>Táchira</option>
                    <option value="Trujillo" @if($profesor->state == 'Trujillo') selected @endif>Trujillo</option>
                    <option value="Vargas" @if($profesor->state == 'Vargas') selected @endif>Vargas</option>
                    <option value="Yaracuy" @if($profesor->state == 'Yaracuy') selected @endif>Yaracuy</option>
                    <option value="Zulia" @if($profesor->state == 'Zulia') selected @endif>Zulia</option>
                </select>
            </div>
            <div class="form-group">
                <label for="schoolName">Escuela</label>
                <input type="text" name="schoolName" id="schoolName" class="form-control" value="{{$profesor->schoolName}}">
            </div>
            <div class="form-group">
                <label for="categories">Categorias</label>
                <br>
                <select class="form-control" name="categories[]" id="categories" multiple="multiple">
                    <option value="Compotica" @if(in_array('Compotica',$profesor->categories)) selected @endif>Compotica</option>
                    <option value="Pre-B" @if(in_array('Pre-B',$profesor->categories))) selected @endif>Pre-B</option>
                    <option value="Pre-A" @if(in_array('Pre-A',$profesor->categories))) selected @endif>Pre-A</option>
                    <option value="Inf-C" @if(in_array('Inf-C',$profesor->categories))) selected @endif>Inf-C</option>
                    <option value="Inf-B" @if(in_array('Inf-B',$profesor->categories))) selected @endif>Inf-B</option>
                    <option value="Inf-A" @if(in_array('Inf-A',$profesor->categories))) selected @endif>Inf-A</option>
                    <option value="Sub-15" @if(in_array('Sub-15',$profesor->categories))) selected @endif>Sub-15</option>
                    <option value="Sub-17" @if(in_array('Sub-17',$profesor->categories))) selected @endif>Sub-17</option>
                    <option value="Sub-20" @if(in_array('Sub-20',$profesor->categories))) selected @endif>Sub-20</option>
                    <option value="3ra. División" @if(in_array('3ra. División',$profesor->categories))) selected @endif>3ra. División</option>
                    <option value="2da. División" @if(in_array('2da. División',$profesor->categories))) selected @endif>2da. División</option>
                    <option value="1era. División" @if(in_array('1era. División',$profesor->categories))) selected @endif>1era. División</option>
                </select>
            </div>
            <div class="form-group">
                <label for="yearsActive">Años activo</label>
                <input type="text" name="yearsActive" id="yearsActive" class="form-control" value="{{$profesor->yearsActive}}">
            </div>
            <div class="form-group">
                <button type="submit" class="btn btn-outline-info">Guardar</button>
            </div>
        </form>
</div>
@endsection

aprofe/resources/views/profesors/show.blade.php
@extends('layouts.app')
@section('content')
<div class="main container">

    <div class="form-group">
        <label for="status" class="">Estado en sistema</label>
        <div class="col-md-6">
            @if($profesor->status == 0)
            <h5><span class="badge badge-danger badge-f">Sin Validar</span></h5> 
            @elseif($profesor->status == 1)
            <h5><span class="badge badge-primary badge-f">Validado</span></h5> 
            @elseif($profesor->status == 2)
            <h5><span class="badge badge-info badge-f">Pre Seleccionado</span></h5>
            @elseif($profesor->status == 3)
            <h5><span class="badge badge-success badge-f">Entregado</span></h5> 
            @endif
        </div>
    </div>
<div class="row">
    <div class="form-group">
        <label for="firstName" class="">Nombre</label>
        <div class="col">
            <input type="text" name="firstName" id="firstName" class="form-control" value="{{$profesor->firstName}}" disabled>
        </div>
    </div>

    <div class="form-group">
        <label for="lastName" class="">Apellido</label>
        <div class="col">
            <input type="text" name="lastName" id="lastName" class="form-control" value="{{$profesor->lastName}}" disabled>
        </div>
    </div>
    
    <div class="form-group">
        <label for="gender" class="">Sexo</label>
        <div class="col">
            <input type="text" name="gender" id="gender" class="form-control" value="{{$profesor->gender}}" disabled>
        </div>
    </div>
    
    <div class="form-group">
        <label for="idNumber" class="">Cedula</label>
        <div class="col">
            <input type="text" name="idNumber" id="idNumber" class="form-control" value="{{$profesor->idNumber}}" disabled>
        </div>
    </div>
</div>

<div class="row">
    <div class="form-group">
        <label for="carnet" class="">Carnet</label>
        <div class="col">
            <input type="text" name="carnet" id="carnet" class="form-control" value="{{$profesor->trainerID}}" disabled>
        </div>
    </div>
    
    <div class="form-group">
        <label for="email" class="">Email</label>
        <div class="col">
            <input type="email" name="email" id="email" class="form-control" value="{{$profesor->email}}" disabled>
        </div>
    </div>
    
    <div class="form-group">
        <label for="phoneHome" class="">Telefono Residencia</label>
        <div class="col">
            <input type="text" name="phoneHome" id="phoneHome" class="form-control" value="{{$profesor->phoneHome}}" disabled>
        </div>
    </div>
    
    <div class="form-group">
        <label for="phoneMobile" class="">Telefono Movil</label>
        <div class="col">
            <input type="text" name="phoneMobile" id="phoneMobile" class="form-control" value="{{$profesor->phoneMobile}}" disabled>
        </div>
    </div>
</div>

<div class="row">
    <div class="form-group">
        <label for="city" class="">Ciudad</label>
        <div class="col">
            <input type="text" name="city" id="city" class="form-control" value="{{$profesor->city}}" disabled>
        </div>
    </div>
    
    <div class="form-group">
        <label for="state" class="">Estado</label>
        <div class="col">
            <input type="text" name="state" id="state" class="form-control" value="{{$profesor->state}}" disabled>
        </div>
    </div>
    
    <div class="form-group">
        <label for="schoolName" class="">Escuela</label>
        <div class="col">
            <input type="text" name="schoolName" id="schoolName" class="form-control" value="{{$profesor->schoolName}}" disabled>
        </div>
    </div>

    <div class="form-group">
        <label for="categories" class="">Categorias</label>
        <div class="col">
            <input type="text" name="categories" id="categories" class="form-control" value="{{$profesor->categories}}" disabled>
        </div>
    </div>
</div>

<div class="row">
    <div class="form-group">
        <label for="yearsActive" class="">Años activo</label>
        <div class="col">
            <input type="text" name="yearsActive" id="yearsActive" class="form-control" value="{{$profesor->yearsActive}}" disabled>
        </div>
    </div>
</div>

<div class="class">
    <div class="card-body">
        <form action="{{route('comments.store')}}" method="post">
            @csrf
            <div class="form-group">
                <label for="comment">Agregar Comentario</label>
                <textarea name="comment" id="comment" cols="30" rows="4" class="form-control"></textarea>
                <input type="hidden" name="profesor_id" id="profesor_id" value='{{$profesor->id}}'>
            </div>
            @if(auth()->user())
                <!-- @if(auth()->user()->isSuperAdmin == 1) -->
                    <div class="form-group">
                            <label for="status">Cambiar Status</label>
                            <select class="form-control" name="status" id="status">
                                <option selected disabled hidden>Seleccione una opcion</option>
                                <option value="0">Sin Validar</option>
                                <option value="1">Validado</option>
                                <option value="2">Pre Seleccionado</option>
                                <option value="3">Entregado</option>
                            </select>
                    </div>
                <!-- @endif -->
            @endif
            <div class="form-group">
                <button type="submit" class="btn btn-outline-info">Guardar</button>
            </div>
        </form>
    </div>
</div>


    
@if($comments !=null && $comments->count()>0)
    <div class="form-group">
        @foreach($comments as $comment)
        <div class="card-body">
            <blockquote class="blockquote mb-0">
                <p>{{$comment->content}}</p>
                <footer class="blockquote-footer">{{$comment->user->name}} | {{$comment->user->email}} {{$comment->created_at->formatLocalized('%d %B %Y %I:%M')}}{{$comment->created_at->format('a')}}</footer>
            </blockquote>
        </div>
        {{-- <label for="created-by">Comment By {{$comment->user->name}}| {{$comment->user->email}}</label>
        <p>{{$comment->content}}</p> --}}
        @endforeach
    </div>
@else
<div class="form-group">
    <p>Sin comentarios</p>
</div>
@endif
    
    
    
</div>
@endsection